View Issue Details

IDProjectCategoryView StatusLast Update
0005851Talermerchant backend API (C)public2019-11-07 22:04
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005851: /check-payment should support long polling and a 2nd, public endpoint
DescriptionIdeally we'd be able to specify a timeout=... query parameter.

The second public endpoint is necessary for JS in the browser to check if a mobile payment has happened.

Unlike the private /check-payment, the public version must be provided with both the order ID as well as the contract hash, and the backend must validate the contract hash. This prevents enumeration of orders and their status when order IDs have low entropy.
TagsNo tags attached.

Activities

Christian Grothoff

2019-09-16 09:42

manager   ~0014903

Florian, I'm not sure this bug note (still) properly describes the endpoint(s) we had discussed in the API spec. Could you please update the description (or link to spec) to make sure we are agreed on what should be done here?

Christian Grothoff

2019-11-02 13:44

manager   ~0015048

44b5eaf..0d42e6b specifies a new /public/poll-payment endpoint.
ae06bf1..ea48d9f implements this endpoint.
C API and test cases are still missing.

Christian Grothoff

2019-11-02 14:34

manager   ~0015049

ea48d9f..3a22e60 implements the C API.

Christian Grothoff

2019-11-03 00:01

manager   ~0015051

Test command API added in e3db526..ce7ed80. Actual integration into a TEST is still missing.

Christian Grothoff

2019-11-07 22:04

manager   ~0015053

add8722..edfc078 fixes a few bugs and adds a now passing test for /public/poll-payment to the merchant. Bug resolved.

Issue History

Date Modified Username Field Change
2019-08-23 19:37 Florian Dold New Issue
2019-08-23 19:37 Florian Dold Status new => assigned
2019-08-23 19:37 Florian Dold Assigned To => Marcello Stanisci
2019-09-16 09:41 Christian Grothoff Assigned To Marcello Stanisci => Christian Grothoff
2019-09-16 09:42 Christian Grothoff Severity minor => feature
2019-09-16 09:42 Christian Grothoff Product Version => SVN HEAD
2019-09-16 09:42 Christian Grothoff Note Added: 0014903
2019-09-16 09:42 Christian Grothoff Assigned To Christian Grothoff => Florian Dold
2019-09-16 09:42 Christian Grothoff Status assigned => feedback
2019-11-02 13:44 Christian Grothoff Note Added: 0015048
2019-11-02 13:44 Christian Grothoff Assigned To Florian Dold => Christian Grothoff
2019-11-02 13:44 Christian Grothoff Status feedback => assigned
2019-11-02 14:34 Christian Grothoff Note Added: 0015049
2019-11-02 14:34 Christian Grothoff Target Version => 0.6
2019-11-03 00:01 Christian Grothoff Note Added: 0015051
2019-11-07 22:04 Christian Grothoff Status assigned => resolved
2019-11-07 22:04 Christian Grothoff Resolution open => fixed
2019-11-07 22:04 Christian Grothoff Fixed in Version => 0.6
2019-11-07 22:04 Christian Grothoff Note Added: 0015053